#include <stdio.h>
#include <math.h>

# define N 100

void statistica(int len, double x[], double *media, double *sigma) {
  double s=0, s2;
  int i;
  
  for (i=0; i<len; i++) {
    s += x[i];
  }
  *media = s / (double) len;

  for (i=0; i<len; i++) {
    s2 += pow( (x[i] - *media), 2); 
  }
  *sigma = sqrt( s2 / (double) len) ;
}

int main(){
  int i;
  double x[N], media, sigma;

  for (i=0; i<N; i++) {
    x[i] = (double) i + 1.;
  }

  statistica(N, x, &media, &sigma);
  printf("media = %.1f,  sigma = %.1f\n", media, sigma);
  return 0;
} 
